import processing.serial.*; //include the serial object library

Serial mySerial; //create a local object from the serial library

String myString = null; //collecting the serial data
int nl = 10; //ASCII code for carage return in serial validate finish receiving data from the serial port
float myVal; //storing converted ASCII serial data

void setup(){
size(200, 400); //initialise the size of the sketch

String myPort = Serial.list()[3]; //find correct serial port
mySerial = new Serial(this, myPort, 9600);

}

void draw(){
while (mySerial.available() >0){ // do something
  myString = mySerial.readStringUntil(nl);
  
  if (myString != null){ 
  background(255,255,255); 
  myVal = float(myString); //take data from serial and transform it in numbers
  
  myVal = myVal/100 *height;
  
  rectMode(CENTER);
  stroke(0,57,3);
  fill(100,150,30);
  rect(width/2,height-(myVal/2), 50, myVal);
  }
}
}
